## org.apache.poi.xwpf.usermodel
Class PositionInParagraph

    java.lang.Object
      org.apache.poi.xwpf.usermodel.PositionInParagraph

    public class PositionInParagraph

extends java.lang.Object

postion of a character in a paragrapho 1st RunPositon 2nd TextPosition 3rd CharacterPosition

Constructor Summary
`PositionInParagraph()`
`PositionInParagraph(int posRun, int posText, int posChar)`

Method Summary
`int` `getChar()`
`int` `getRun()`
`int` `getText()`
`void` `setChar(int beginChar)`
`void` `setRun(int beginRun)`
`void` `setText(int beginText)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PositionInParagraph

    public PositionInParagraph()

### PositionInParagraph

    public PositionInParagraph(int posRun,
                               int posText,
                               int posChar)

Method Detail

### getRun

    public int getRun()

### setRun

    public void setRun(int beginRun)

### getText

    public int getText()

### setText

    public void setText(int beginText)

### getChar

    public int getChar()

### setChar

    public void setChar(int beginChar)

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.